**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              ExploitationFamiliale_2
Sequence         1 - Initiation  la programmation mathmatique avec GAMS
Langage GAMS
Type             LP
Description
Un agriculteur pakistanais est propritaire de 5 ha de terre.
Sa famille peut fournir l'quivalent de 5 hommes par an en temps de travail.
On value  100 le nombre de jours de travail utiles fournis par an par un ouvrier.
Cet agriculteur peut choisir entre 4 activits agricoles
dont les cots et le revenu sont indiqus dans le tableau ci dessous:

ACTIVITES        Bl        Riz        Canne  sucre        Elevage
RENDEMENT          9          6               18             17000
(Tonnes/ha ou Rp/ha pour levage)
COUTS (Rp/ha)     3120      5480             11360            5000
PRIX (Rp/tonnes)   990      3276             1686                1
Rp = roupies

Le tableau ci-dessous rassemble les contraintes imposes aux ressources dont dispose l'agriculteur

ACTIVITES        Bl        Riz        Canne  sucre        Elevage
Travail          40.5        96            282               159
(jours/an/ha)
Eau (m3/ha)      740        3000          2200              1100
Terre (ha)        1           1              1                1

L'objectif de l'agriculteur est d'avoir la marge brute la plus leve.
L'Etat dcide de renforcer la rgulation sur l'utilisation de l'eau et impose une  limite de 7000 m3 par exploitation. 

$Offtext

*----------                          INDICES                        ----------*
SET
C / ble,riz,canne,elevage/
;

*----------                          DONNEES                        ----------*
SCALAR
MO       main d'oeuvre (en heures)                       /500/
SAU      surface (hectares)                              /5/
EAU      limite d'utilisation de l'eau (en mtres cube)  /7000/
;

PARAMETER
R(C)     rendement en tonnes par ha
/BLE     9
 RIZ     6
 CANNE   18
 ELEVAGE 17000/

CO(C)    cout en roupies
/BLE     3120
 RIZ     5480
 CANNE   11360
 ELEVAGE 5000/

P(C)     prix en roupies par tonne
/BLE     990
 RIZ     3276
 CANNE   1686
 ELEVAGE 1/

BTRAV(C) besoin en travail par culture
/BLE     40.5
 RIZ     96
 CANNE   282
 ELEVAGE 159/

BEAU(C)  besoin en eau par culture
/BLE     740
 RIZ     3000
 CANNE   2200
 ELEVAGE 1100/
;

PARAMETER
MB(C)    marge brute
;
MB(C)= P(C)*R(C)-CO(C);

*----------                         MODELE                          ----------*
VARIABLES
Z
;
POSITIVE VARIABLES
X superficie en ha
;

EQUATIONS
revenu     fonction objectif
terre      contrainte de terre
travail    contrainte de travail
irrigation contrainte de gestion de l'eau
;


revenu ..        sum(C, X(C)*MB(C)) =e= Z;

terre ..         sum(C, X(C)) =l= SAU;

travail ..       sum (C, X(C)*BTRAV(C)) =l= MO;

irrigation ..    sum(C,X(C)*BEAU(C)) =l= EAU;

model ex1 /all/;

*----------                        SOLUTION                         ----------*
solve ex1 using LP maximizing Z;
